Subject: Re: ALSA fixes for non-coherent ppc32 again

From: "Gerhard Pircher" <[email-masked]>
Date: Mon, 22 Jun 2009 11:23:34 +0200

-------- Original-Nachricht --------
> Datum: Mon, 22 Jun 2009 09:12:35 +0200
> Von: Takashi Iwai <[email-masked]>
> An: Benjamin Herrenschmidt <[email-masked]>
> CC: Gerhard Pircher <[email-masked]>, [email-masked]
> Betreff: Re: ALSA fixes for non-coherent ppc32 again

> At Mon, 22 Jun 2009 08:34:38 +1000,
> Benjamin Herrenschmidt wrote:
> > 
> > On Sun, 2009-06-21 at 20:18 +0200, Gerhard Pircher wrote:
> > > Hi,
> > > 
> > > Takashi Iwai posted patches to make ALSA work on non-coherent PPC32
> > > systems (almost exactly) a year ago. See here:
> > >
> > > http://www.nabble.com/-PATCH-0-3--ALSA-fixes-for-non-coherent-ppc32-to17980027.html#a17980027
> > > 
> > > As far as I can see these patches never went upstream. Where there
> > > any objections or did we just forget about them? It would be cool,
> > > if the patches could be merged now, as at least two platforms need
> > > this bugfix (namely Sam440 and AmigaOne).
> > 
> > I definitely forgot about those...
> 
> Me, too, almost... :)
:)

> > But I'm fine with what Takashi did
> > for now, I can always make the powerpc helper for dma_mmap_coherent()
> > smarter later on if necessary.
> 
> I updated the patch series for 2.6.31, including sparc32, parisc, mips
> and sh support.  The patches are found in test/dma-fix branch of sound
> git tree:
>  git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound-2.6.git
> test/dma-fix
Thanks!

> The old patches for 2.6.30 is found at history/dma-fix-2.6.30 branch
> there, too.
> 
> 
> For merging to the upstream, we'll need definitely discussions on
> linux-arch ML or so, as once James Bottomley suggested.  I'll try to
> make it up once after the merge window.
> 
> But, it'd be helpful if someone can test the patches above beforehand,
> of course :)
Sure, I'll give it a try until tomorrow.

Gerhard

-- 
GRATIS für alle GMX-Mitglieder: Die maxdome Movie-FLAT!
Jetzt freischalten unter http://portal.gmx.net/de/go/maxdome01